Create Charge

This is your first endpoint! Edit this page to start documenting your API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Introduction

The PipraPay Create Charge API allows you to initiate a payment. After a successful payment, an invoice_id will be sent via GET or POST request to your specified pp_url. To obtain payment data, you'll need to call the Verify Payment API.

Body Params
string
required
Defaults to Demo

User's full name.

string
required
Defaults to [email protected]

User's email address or mobile number.

string
required
Defaults to 10

The payment amount.

metadata
object
required

Additional project-specific data in JSON format. For example: { "product_id": "5"}

string
required
Defaults to https://piprapay.com

The URL where the user will be redirected after a successful payment. Additionally, an pp_id will be sent via POST data, which you must validate using the Verify Payment API.

string
required
Defaults to GET

Specifies how the invoice_id is returned to the success page. It can be either "GET" or "POST."

string
required
Defaults to https://piprapay.com

The URL where the user will be redirected when they click the cancel button during the payment process.

string
required
Defaults to https://piprapay.com

A backend response URL where payment information is sent when an admin initiates a "SEND WEBHOOK REQUEST" from the admin panel.

string
required
Defaults to BDT

The currency selected for payment processing

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json